Pay organization's own PIX or BOLEPIX transaction via QR code (Sandbox Only)
Processes a PIX payment using a QR code from a transaction owned by the authenticated organization company, for testing purposes. This endpoint is only available in sandbox environment.
Unlike the merchant variant (/v1/merchants/{merchantId}/transactions/{transactionId}/pay),
this endpoint does not require a merchantId parameter. The transaction is looked up
using the authenticated organization’s company ID as the transaction owner.
The payer_company_id must be different from the transaction owner (the authenticated company).
Supported payment methods:
- PIX: Uses the QR code from
pix_data.qr_code - BOLEPIX: Uses the PIX EMV code from
bolepix_data.pix_emv
Documentation Index
Fetch the complete documentation index at: https://docs.rinne.com.br/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Company API key for authentication
Path Parameters
Transaction ID containing the PIX QR code (from pix_data.qr_code for PIX or bolepix_data.pix_emv for BOLEPIX)
"123e4567-e89b-12d3-a456-426614174001"
Body
ID of the company whose bank account will be used for payment. The payer company must have an active affiliation with the same provider of the transaction to be able to pay. Cannot be the same as the transaction owner company.
"123e4567-e89b-12d3-a456-426614174002"
Response
Payment processed successfully

